- ;测试pline在不同位置关系下进行倒角
- (defun c:ft04 ()
- (setvar "cmdecho" 0)
- (ft041)
- (ft042)
- (setvar "cmdecho" 1)
- (princ)
- )
- ;测试相交的两条pline线倒角
- (defun ft041 ()
- (command "pline" (list 100 100) (list 200 200) "")
- (command "pline" (list 300 100) (list 100 200) "")
- (setq enpl1 (osnap (list 200 200) "nea")
- enpl2 (osnap (list 100 200) "nea")
- )
- (f enpl1 enpl2)
- )
- ;测试相离的两条pline线倒角
- (defun ft042 ()
- (command "pline" (list 100 100) (list 200 200) "")
- (command "pline" (list 300 100) (list 150 300) "")
- (setq enpl3 (osnap (list 100 100) "nea")
- enpl4 (osnap (list 300 100) "nea")
- )
- (f enpl3 enpl4)
- )(defun f (e1 e2)
- (command "fillet" "r" 20)
- (command "fillet" e1 e2)
- )
|